Page MenuHomePhabricator

Genlist with entry is broken
Open, NormalPublic

Description

I am using default label and non_ediatble entry with genlist with item style full, in case of label genlist item is well expanded but not in case of entry (entries are overlapped)

Am I missing something here, any help will be appreciated,
I am not able to figure out where could be the problem, entry or genlist.

Please use the application attached.

subodh6129 updated the task description. (Show Details)
subodh6129 raised the priority of this task from to Incoming Queue.
subodh6129 added projects: efl, Restricted Project.
subodh6129 added subscribers: subodh6129, cedric, herdsman and 3 others.
stefan_schmidt triaged this task as Normal priority.Jan 7 2016, 7:27 AM
stefan_schmidt added a subscriber: stefan_schmidt.
tasn added a comment.Jan 7 2016, 7:42 AM

Maybe the problem is that the entries are scrollable? Scrollable items don't have a min size that is big enough to contain the content and it may cause issues if the entries are too small.

@tasn
By default entry is not scrollable.

tasn added a comment.Jan 8 2016, 5:02 AM

Oh, I didn't remember that. Interesting/weird/sucky. Maybe entry is reporting a wrong min size.

@tasn
ya first size eval call says entry has a height of something unexpected ~2000 but after that it comes to normal ~200.
But in case of label, size increases normally 0 to expected size.
I don't understand if the entry regains its normal size in some subsequent sizing call then why not genlist adjust it.

tasn added a comment.Jan 12 2016, 5:18 AM

As you said, it's weird genlist is not adjusting.

As for the 2000, is the width 0 or close to? I suspect maybe it's wrapping causing the height to be very large.

This is another reason why I wish entry and label would just be the same widget. :(

Will update soon :)

Oh, width is absolutely wrong and dirty, its coming around ~10-20.
Something is horribly wrong, I don't know what, not familiar with genlist but will try to investigate edje calculation :((((

tasn added a comment.Jan 13 2016, 5:07 AM

Welcome to hell. ;(

Let me know if there's any way I could help, but I really don't want to touch these areas. ;P

stefan_schmidt removed a project: Restricted Project.Jul 20 2016, 7:38 AM
jpeg added a subscriber: jpeg.Mar 9 2017, 10:07 PM
subodh6129 closed this task as Wontfix.Jun 1 2018, 5:18 AM
subodh6129 claimed this task.

@subodh6129 any reason why you closed this?

indefini reopened this task as Open.Jun 6 2018, 1:39 PM

I don't think this is fixed so reverting the status to open.

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:59 AM
bu5hm4n edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 9:11 AM